# Class CSSBorderPropertiesImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.properties.CSSBorderPropertiesImpl

All Implemented Interfaces:
  `CSSBorderProperties`

public class CSSBorderPropertiesImpl extends Object implements CSSBorderProperties
`CSSBorderProperties` implementation.

Version:
  1.0.0
Author:
  Angelo ZERR

## Constructor Summary

Constructors
Constructor
Description
`CSSBorderPropertiesImpl()`

## Method Summary

Modifier and Type
Method
Description
`CSSPrimitiveValue`
`getColor()`
Return border-color value.
`String`
`getStyle()`
Return border-style value.
`int`
`getWidth()`
Return border-width value.
`void`
`setColor(CSSPrimitiveValue color)`
Set border-color value.
`void`
`setStyle(String style)`
Set border-style value.
`void`
`setWidth(int width)`
Set border-width value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSBorderPropertiesImpl

public CSSBorderPropertiesImpl()

## Method Details

### getColor

public CSSPrimitiveValue getColor()
Description copied from interface: `CSSBorderProperties`
Return border-color value.

Specified by:
  `getColor` in interface `CSSBorderProperties`

### setColor

public void setColor(CSSPrimitiveValue color)
Description copied from interface: `CSSBorderProperties`
Set border-color value.

Specified by:
  `setColor` in interface `CSSBorderProperties`

### getWidth

public int getWidth()
Description copied from interface: `CSSBorderProperties`
Return border-width value.

Specified by:
  `getWidth` in interface `CSSBorderProperties`

### setWidth

public void setWidth(int width)
Description copied from interface: `CSSBorderProperties`
Set border-width value.

Specified by:
  `setWidth` in interface `CSSBorderProperties`

### getStyle

public String getStyle()
Description copied from interface: `CSSBorderProperties`
Return border-style value.

Specified by:
  `getStyle` in interface `CSSBorderProperties`

### setStyle

public void setStyle(String style)
Description copied from interface: `CSSBorderProperties`
Set border-style value.

Specified by:
  `setStyle` in interface `CSSBorderProperties`